Bug 1271414 - [DOCS] Document maximum name lengths for objects
[DOCS] Document maximum name lengths for objects
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Ashley Hardin
Wang Haoran
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 19:59 EDT by Vikram Goyal
Modified: 2016-05-02 09:47 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-02 09:47:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2015-10-13 19:59:53 EDT
As per this GH Issue and discussion:

https://github.com/openshift/openshift-docs/issues/709
Comment 2 Ashley Hardin 2016-03-21 16:13:08 EDT
@Miciah, Can you please offer guidance as to what individual limits need documented? Thanks!
Comment 3 Miciah Dashiel Butler Masters 2016-03-30 00:08:55 EDT
I raised the GitHub issue because I ran into limits service and route names when trying to use a template.  It would have been helpful to me to have had the following documented at a minimum:

• Maximum project name length.
• Maximum service name length.
• Maximum route name length.

It may be helpful to document maximum lengths for other string values that can appear in templates and elsewhere:

• Maximum template name length.
• Maximum replicationcontroller/deploymentconfig name length.
• Maximum service port name length.
• Maximum route host name, path, and certificate chain lengths.
• Maximum buildconfig name, URI, and ref lengths.
• Maximum imagestream name length.
• Maximum label key and value lengths.
• Maximum annotation key and value lengths.
• Maximum environment variable name and value lengths.
• Maximum parameter name, value, displayname, and description lengths.
• Any limit on command length for readiness or liveness probes or build hooks.

Unfortunately, I do not know the limits for most of these.  If you already know where to look or whom to ask, great! Otherwise, please let me know, and I'll investigate and ask around.
Comment 4 Ashley Hardin 2016-04-05 11:21:22 EDT
@Michal - After looking through some AOS team lists, I *think* you are an appropriate person to contact about this, but please correct me if I am wrong. I am looking for help documenting maximum name lengths for objects. Are you able to guide me, or point me in the right direction? Thanks!
Comment 5 Ashley Hardin 2016-04-11 16:28:40 EDT
Per Michal (via e-mail):

Most of the "name" fields are following k8s standard which is DNS_LABEL.
See this link for details:
https://github.com/kubernetes/kubernetes/blob/master/pkg/api/types.go#L40
Comment 7 Ashley Hardin 2016-04-20 13:45:54 EDT
Hi, Wang. 
Can you please take a look and let me know if we can move forward in publishing these changes? Thanks!
Comment 8 Wang Haoran 2016-04-20 21:31:21 EDT
I thinks this approach works, will change to verify after pr merged.
Comment 9 openshift-github-bot 2016-04-21 09:02:28 EDT
Commits pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/bfd6762beb1b5b41ec327cf4bbf7277b14a9566b
Bug 1271414, documented maximum name lengths for objects

https://github.com/openshift/openshift-docs/commit/d7097c0d15ba19cc880fa31ac4eaf865d58ffc3b
Merge pull request #1887 from ahardin-rh/max-namelengths

Bug 1271414, documented maximum name lengths for objects

Note You need to log in before you can comment on or make changes to this bug.